OpenTTD AI API: Data Fields

OpenTTD AI API 14.0-RC3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - s -

- Save() : AIController
- SellVehicle() : AIVehicle
- SellWagon() : AIVehicle
- SellWagonChain() : AIVehicle
- SendVehicleToDepot() : AIVehicle
- SendVehicleToDepotForServicing() : AIVehicle
- SetAutoRenewMoney() : AICompany
- SetAutoRenewMonths() : AICompany
- SetAutoRenewStatus() : AICompany
- SetAutoReplace() : AIGroup
- SetCommandDelay() : AIController
- SetCurrentRailType() : AIRail
- SetCurrentRoadType() : AIRoad
- SetLoanAmount() : AICompany
- SetMinimumLoanAmount() : AICompany
- SetName() : AIBaseStation , AICompany , AIGroup , AISign , AIVehicle
- SetOrderCompareFunction() : AIOrder
- SetOrderCompareValue() : AIOrder
- SetOrderCondition() : AIOrder
- SetOrderFlags() : AIOrder
- SetOrderJumpTo() : AIOrder
- SetOrderRefit() : AIOrder
- SetParent() : AIGroup
- SetPresidentGender() : AICompany
- SetPresidentName() : AICompany
- SetPrimaryColour() : AIGroup
- SetPrimaryLiveryColour() : AICompany
- SetSecondaryColour() : AIGroup
- SetSecondaryLiveryColour() : AICompany
- SetStopLocation() : AIOrder
- SetValue() : AIList
- ShareOrders() : AIOrder
- SignalType : AIRail
- SIGNALTYPE_COMBO : AIRail
- SIGNALTYPE_COMBO_TWOWAY : AIRail
- SIGNALTYPE_ENTRY : AIRail
- SIGNALTYPE_ENTRY_TWOWAY : AIRail
- SIGNALTYPE_EXIT : AIRail
- SIGNALTYPE_EXIT_TWOWAY : AIRail
- SIGNALTYPE_NONE : AIRail
- SIGNALTYPE_NORMAL : AIRail
- SIGNALTYPE_NORMAL_TWOWAY : AIRail
- SIGNALTYPE_PBS : AIRail
- SIGNALTYPE_PBS_ONEWAY : AIRail
- SIGNALTYPE_TWOWAY : AIRail
- SkipToOrder() : AIOrder
- Sleep() : AIController
- Slope : AITile
- SLOPE_E : AITile
- SLOPE_ELEVATED : AITile
- SLOPE_ENW : AITile
- SLOPE_EW : AITile
- SLOPE_FLAT : AITile
- SLOPE_INVALID : AITile
- SLOPE_N : AITile
- SLOPE_NE : AITile
- SLOPE_NS : AITile
- SLOPE_NW : AITile
- SLOPE_NWS : AITile
- SLOPE_S : AITile
- SLOPE_SE : AITile
- SLOPE_SEN : AITile
- SLOPE_STEEP : AITile
- SLOPE_STEEP_E : AITile
- SLOPE_STEEP_N : AITile
- SLOPE_STEEP_S : AITile
- SLOPE_STEEP_W : AITile
- SLOPE_SW : AITile
- SLOPE_W : AITile
- SLOPE_WSE : AITile
- Sort() : AIList
- SORT_ASCENDING : AIList
- SORT_BY_ITEM : AIList
- SORT_BY_VALUE : AIList
- SORT_DESCENDING : AIList
- SorterType : AIList
- SpecialCargoID : AICargo
- SpecialIndustryType : AIIndustryType
- SpecialStationIDs : AIBaseStation
- SPT_INDUSTRY : AISubsidy
- SPT_INVALID : AISubsidy
- SPT_TOWN : AISubsidy
- Start() : AIController
- StartStopVehicle() : AIVehicle
- STATION_AIRPORT : AIStation
- STATION_ANY : AIStation
- STATION_BUS_STOP : AIStation
- STATION_DOCK : AIStation
- STATION_INVALID : AIBaseStation
- STATION_JOIN_ADJACENT : AIBaseStation
- STATION_NEW : AIBaseStation
- STATION_TRAIN : AIStation
- STATION_TRUCK_STOP : AIStation
- StationType : AIStation
- StopAutoReplace() : AIGroup
- StopLocation : AIOrder
- STOPLOCATION_FAR : AIOrder
- STOPLOCATION_INVALID : AIOrder
- STOPLOCATION_MIDDLE : AIOrder
- STOPLOCATION_NEAR : AIOrder
- SubsidyParticipantType : AISubsidy
- SwapList() : AIList